Subject: Re: bug#53001: 29.0.50; xwidget-webkit: no mouseover text on pgtk

From: Po Lu <[email-masked]>
Date: Tue, 04 Jan 2022 13:44:08 +0800

Akira Kyle <[email-masked]> writes:

> Just tested mouseover on emacs with x+gtk3 on sway, and mouseover text
> works there so I'm pretty confident this is an xwidget-webkit+pgtk
> issue and not a sway issue.

By "mouseover text" you mean tooltips, correct?  Are you running Emacs
in Wayland or are you running it in Xwayland?

Thanks.

> Also while testing I noticed this warning: "Overriding existing
> handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use
> a different signal"
>
> Is this something to be concerned about?

No, it's not.  It should be fixed once the JSC developers deliver on
their promise to provide an API to change the GC signal.